Skip to main content
POST
Store an integration webhook receipt

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

connection_id
integer
required

Connection id in the current organization.

Body

application/json

Validated request fields for this operation.

payload_json
required

Provider-specific payload fields; use provider metadata/configuration for supported keys.

headers_json

Provider-specific headers fields; use provider metadata/configuration for supported keys.

verified
boolean | null

Verified. Validation: nullable, boolean.

Example:

true

reason
string | null

Reason. Validation: nullable, string, max:255.

Maximum string length: 255
Example:

"No follow-up is needed."

Response

Operation result.

status
string
Example:

"success"

data
object

Stored webhook receipt with redacted headers/payload; replay_queued is a local receipt state.